### Constructor

# Gio ThemedIcon new_from_names

#### Declaration

    GIcon*
    g_themed_icon_new_from_names (
      char** iconnames,
      int len
    )

#### Description

Creates a new themed icon for `iconnames`.

#### Parameters

`iconnames`

  Type: An array of `char*`

  An array of strings containing icon names.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  The length of the `iconnames` array, or -1 if `iconnames` is `NULL`-terminated.

#### Return value

Type: `GThemedIcon`

A new `GThemedIcon`.

The caller of the function takes ownership of the data, and is responsible for freeing it.